export default class Assets {
  constructor() {
    this.assetMap = {}
  }

  get(assetName) {
    return this.assetMap[assetName]
  }

  async load() {
    const tilesheet = new Image()
    this.assetMap.tilesheet = tilesheet
    tilesheet.src = "./assets/RPGpack_sheet.png"

    return new Promise((resolve, reject) => {
      tilesheet.addEventListener("load", e => {
	console.log(e)
	resolve()
      })
    })
  }
}
